2017-09-26 18:07 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003269Kali Linux[All Projects] General Bugpublic2016-07-11 23:27
Reporterthc202 
Assigned Torhertzog 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003269: Painting issues in zaproxy with assistive_technologies (OpenJDK)
DescriptionWhen assistive_technologies is enabled some painting issues happen in the trees displayed by OWASP ZAP (for example, "Sites" tree).
Description of painting issues:
 - Some nodes of the tree are painted with contents (label and icon) from other other nodes;
 - No content is painted;
 - Labels partially painted.
Steps To Reproduce1. Make sure that in /etc/java-8-openjdk/accessibility.properties there's the following entry:
assistive_technologies=org.GNOME.Accessibility.AtkWrapper
2. Run ZAP;
3. Proxy some requests or spider a target (to populate the Sites tree);
4. Manipulate the Sites tree and note the painting issues.
Additional InformationIssue reported in ZAP:
https://github.com/zaproxy/zaproxy/issues/2432

Related Debian issue:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=813143

$ uname -a
Linux kali 4.4.0-kali1-amd64 0000001 SMP Debian 4.4.6-1kali1 (2016-03-18) x86_64 GNU/Linux

$ lsb_release -rd
Description: Kali GNU/Linux Rolling
Release: Kali-rolling

$ java -version
openjdk version "1.8.0_91"
OpenJDK Runtime Environment (build 1.8.0_91-8u91-b14-2-b14)
OpenJDK 64-Bit Server VM (build 25.91-b14, mixed mode)

libatk-wrapper-java version 0.33.3-6
Attached Files

-Relationships
+Relationships

-Notes

~0005176

thc202 (reporter)

This issue report is more to let you known of the problem, not sure if you (Kali devs) can fix it.

Let me know if I should also report it somewhere else.

~0005178

rhertzog (administrator)

I forwarded this bug to the Debian maintainer of libatk-wrapper-java (Samuel Thibault). He will look into it.

Also he pointed me to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820227 which might be (or not) the same issue. In any case, it's clear and it's known to him that there are further issues with that package even in version 0.33.3-6 and he's interested in ways to reproduce the problems so thank you for the clear test case.

I clearly don't have the skills required to fix this but Samuel does. Hopefully it will be fixed soon.

~0005181

thc202 (reporter)

Thanks for forwarding the issue.

It does not seem to be that issue, at least I didn't find any exception in the (ZAP) log files/output while reproducing the issue.

Is the issue of the package going to be tracked in the Debian's bug tracker too? (Or, will you update this issue once you get news from him?)

Thanks!

~0005182

rhertzog (administrator)

Yeah, he will come back to me and then I'll update this ticket. But if you feel like opening a ticket directly in the Debian bug tracker, then feel free to go ahead.

~0005270

rhertzog (administrator)

The Debian maintainer prepared an updated package, it's version 0.33.3-7 that I imported into kali-dev. It will show up shortly on Kali mirrors but you can already get them from any Debian mirror:
http://mirror.iway.ch/debian/pool/main/j/java-atk-wrapper/libatk-wrapper-java_0.33.3-7_all.deb
http://mirror.iway.ch/debian/pool/main/j/java-atk-wrapper/libatk-wrapper-java-jni_0.33.3-7_amd64.deb

Please let me know if this version fixes the issue that you have. Thank you!

~0005271

thc202 (reporter)

I was not able to reproduce the issue with the newer version.
Thank you both for the fix!

~0005527

rhertzog (administrator)

Fixed with libatk-wrapper-java 0.33.3-7 and newer.
+Notes

-Issue History
Date Modified Username Field Change
2016-05-03 08:09 thc202 New Issue
2016-05-03 08:13 thc202 Note Added: 0005176
2016-05-03 12:19 rhertzog Note Added: 0005178
2016-05-03 12:20 rhertzog Assigned To => rhertzog
2016-05-03 12:20 rhertzog Status new => assigned
2016-05-04 07:55 thc202 Note Added: 0005181
2016-05-04 09:48 rhertzog Note Added: 0005182
2016-05-23 08:48 rhertzog Note Added: 0005270
2016-05-23 08:48 rhertzog Status assigned => feedback
2016-05-23 10:49 thc202 Note Added: 0005271
2016-05-23 10:49 thc202 Status feedback => assigned
2016-07-11 23:27 rhertzog Note Added: 0005527
2016-07-11 23:27 rhertzog Status assigned => resolved
2016-07-11 23:27 rhertzog Fixed in Version => 2016.2
2016-07-11 23:27 rhertzog Resolution open => fixed
+Issue History